/*
 * (C) Copyright 2001
 * Rob Taylor, Flying Pig Systems. robt@flyingpig.com.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <ppcboot.h>
#include <mpc8240.h>
#include <asm/processor.h>

#define BOARD_REV_REG 0xFE80002B

	/* We have to clear the initial data area here. Couldn't have done it
	 * earlier because DRAM had not been initialized.
	 */
int board_pre_init(void)
{
	memset((void *)(CFG_INIT_RAM_ADDR + CFG_INIT_DATA_OFFSET),
	       0,
	       CFG_INIT_DATA_SIZE);

	return 0;
}

int checkboard(void)
{
	char  revision = *(volatile char *)(BOARD_REV_REG);
	ulong busfreq  = get_bus_freq(0);
	char  buf[32];

	printf("CU824 ");
	printf("Revision %d ", revision);
	printf("Local Bus at %s MHz\n", strmhz(buf, busfreq));

	return 0;
}

long int initdram(int board_type)
{
		/* Nothing left to init here. Everthing is done in cpu_init_f().
		 */
	return CFG_RAM_SIZE;
}


